Subject: bug#76744: [PATCH] etags test doesn't pass

From: Paul Eggert <[email-masked]>
Date: Tue, 4 Mar 2025 13:48:51 -0800

On 3/4/25 11:22, Stefan Kangas wrote:
>> * build-aux/update-copyright: Added check to not change test data
> This script is maintained in Gnulib, so I'm not sure where to put this,
> as it's only relevant to Emacs.

Yes, changes like this should be put into admin/update-copyright, not 
build-aux/update-copyright.

However, this kind of change is heading in the wrong direction, as the 
test files in question mutate from time to time, e.g., commit 
d0be0965ca344caab7879b2ac2373a68025c9ba2. Instead, either the tests 
should be redone to be robust in the presence of line number changes, or 
(probably easier) admin/update-copyright should be taught not to change 
the number of lines when it updates a copyright date.